<bugID>579869<Summary>Half of a App Tab Covers or is Covered by Part of the First Normal Tab, the New Tab Button or Other App Tabs after it is reopened</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; Windows NT 6.1; WOW64; en-US; rv:2.0b2pre) Gecko/20100718 Minefield/4.0b2pre
Build Identifier: Mozilla/5.0 (Windows; Windows NT 6.1; WOW64; en-US; rv:2.0b2pre) Gecko/20100718 Minefield/4.0b2pre

When A app Tab is closed and Restored, half of it when restored is covered by the first normal tab.

Reproducible: Always

Steps to Reproduce:
1. Open A Few Tab
2. In one of the tab go any web site you want and turn it into a App Tab
3. The App Tab is the most left tab now. 
4. Close the App tab by right clinking tab bar and selecting Close tab with your mouse
5. Right clink tab bar and select Undo Close Tab
6. App Tab is restored
7. You see that 1/2 of the restored App tab is covered by the first normal Tab
Actual Results:  
1/2 of the Restored App Tab is covered by the First Normal Tab

Expected Results:  
No part of the Restored App Tab is covered by the First Normal Tab</Description></bugID>